Is JotForm Compatible with Internet Explorer 8 or Older?

  • Profile Image
    lukemiddleton2
    Asked on February 23, 2016 at 09:13 AM

    I am looking to make a form and launch it on a form page, does this system work on Internet Explorer 8 and older?

  • Profile Image
    mert
    Answered on February 23, 2016 at 12:05 PM

    Generally, Internet Explorer 8 is compatible with the JotForm, if you are not using advanced functions on your form or using it to create a form. Because, it is a really old browser and its library haven't updated for new JavaScript functions or etc. However, if your concerns are about your users who use IE 8, they can fill and submit your form without having any issue as I said earlier.

    For older IE versions than 8, I couldn't suggest you to use them with JotForm, because of the reasons I declared earlier. In addition to this, I tested a form with several widgets and some additional functions, IE 8 also handled to submit the form properly.

     

    If there are still some blank spots in your mind, please don't hesitate to contact us.

    Thanks.